Docs
Search docs...⌘K

Parameters

Request parameters constrain the data an endpoint returns. All request parameter values must be URL-encoded.

The following parameters expect values in a special syntax. For each endpoint's full list of required and optional parameters, visit the API reference.

select

Example: field_a,field_b,field_c

A mandatory comma-separated list of field names. This specifies which fields to return from the endpoint. Not all endpoints accept this parameter.

See the endpoint's response schema in the API reference for the list of valid field names.

where

Example: {"and":[{"field":"field_a","is":["gt",90]},{"field":"field_b","is":["eq","SEO"]}]}

A filter expression to narrow down the results. The syntax is described in detail in Filter syntax. Not all endpoints accept this parameter.

See the endpoint's parameter description in the API reference for the list of valid field names that can be used in the filter expression. This may differ from the select parameter's field name list.

order_by

Example: field_a:desc,field_b:asc

Orders the results by the specified field(s) and direction (desc or asc). Not all endpoints accept this parameter.

See the endpoint's response schema in the API reference for the list of valid field names. This is the same as the select parameter's field name list.